## com.baidubce.http
Class BceHttpResponse

    java.lang.Object
      com.baidubce.http.BceHttpResponse

    public class BceHttpResponse

extends Object

Represents an HTTP response returned by a BCE service in response to a service request.

Constructor Summary
`BceHttpResponse(org.apache.http.client.methods.CloseableHttpResponse httpResponse)`

Method Summary
`InputStream` `getContent()`
`String` `getHeader(String name)`
`long` `getHeaderAsLong(String name)`
`Date` `getHeaderAsRfc822Date(String name)`
`Map<String,String>` `getHeaders()`
`org.apache.http.client.methods.CloseableHttpResponse` `getHttpResponse()`
`int` `getStatusCode()`
`String` `getStatusText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BceHttpResponse

    public BceHttpResponse(org.apache.http.client.methods.CloseableHttpResponse httpResponse)
                    throws IOException

Throws:
  `IOException`

Method Detail

### getHeader

    public String getHeader(String name)

### getHeaderAsLong

    public long getHeaderAsLong(String name)

### getHeaderAsRfc822Date

    public Date getHeaderAsRfc822Date(String name)

### getContent

    public InputStream getContent()

### getStatusText

    public String getStatusText()

### getStatusCode

    public int getStatusCode()

### getHttpResponse

    public org.apache.http.client.methods.CloseableHttpResponse getHttpResponse()

### getHeaders

    public Map<String,String> getHeaders()

Copyright © 2016. All rights reserved.